package com.zfire.jiasm.syncdata.service;


import com.zfire.jiasm.syncdata.data.DetailDownloadData;
import com.zfire.jiasm.syncdata.plus.entity.SysDict;

import java.util.List;
import java.util.Map;

public interface DetailDownloadService {

	List<Map<String, Object>> getTaskTypeInstall();
	
	List<Map<String, Object>> getTaskTypeRepair();

	List<Map<String, Object>> getTaskDataInstall(int downloadTaskType);

	List<Map<String, Object>> getTaskDataInstallTest(int downloadTaskType);
	
	List<Map<String, Object>> getTaskDataRepair(int downloadTaskType);
	
	List<Map<String, Object>> getTaskTables(int downloadTaskType);

	void insertData(String downloadTaskNo,List<DetailDownloadData> detailDownloadDatas,
					int downloadTaskType, String pgguid,Map<String, List<SysDict>> sysDictRefDLMap, Long id) throws Exception;

	void insertDataRepair(String downloadTaskNo,List<DetailDownloadData> detailDownloadDatas,
					int downloadTaskType, String pgguid,Map<String, List<SysDict>> sysDictRefDLMap) throws Exception;
	
	void updateError(String downloadTaskNo, Integer downloadTimes,String errMessage);

	void updateErrorN(String downloadTaskNo, String errMessage);
}
